<%
is_guest = @group.is_guest?
is_mod = @group.is_mod?
is_admin = @group.is_admin?
-%>
	<div class="blockform">
		<h2><span>Group settings</span></h2>
		<div class="box">
			<form id="groups2" method="post" action="<%= url_for :action => 'update', :id => @group.id %>" onsubmit="return process_form(this)">
				<p class="submittop"><input type="submit" name="add_edit_group" value=" Save " /></p>
				<div class="inform">
					<fieldset>
						<legend>Setup group options and permissions</legend>
						<div class="infldset">
							<p>Below options and permissions are the default permissions for the user group. These options apply if no forum specific permissions are in effect.</p>
							<table class="aligntop" cellspacing="0">
								<tr>
									<th scope="row">Group title</th>
									<td>
										<input type="text" name="group[g_title]" size="25" maxlength="50" value="<%=h @group.g_title %>" tabindex="1" />
									</td>
								</tr>
								<tr>
									<th scope="row">User title</th>
									<td>
										<input type="text" name="group[g_user_title]" size="25" maxlength="50" value="<%=h @group.g_user_title %>" tabindex="2" />
										<span>This title will override any rank users in this group have attained. Leave blank to use default title or rank.</span>
									</td>
								</tr>
<% unless is_admin -%>
								<tr>
									<th scope="row">Read board</th>
									<td>
										<input type="radio" name="group[g_read_board]" value="1"<%= 'checked="checked"' if @group.g_read_board == true %> tabindex="3" />&nbsp;<strong>Yes</strong>&nbsp;&nbsp;&nbsp;<input type="radio" name="group[g_read_board]" value="0"<%= 'checked="checked"' if @group.g_read_board == false %> tabindex="4" />&nbsp;<strong>No</strong>
										<span>Allow users in this group to view the board. This setting applies to every aspect of the board and can therefore not be overridden by forum specific settings. If this is set to "No", users in this group will only be able to login/logout and register.</span>
									</td>
								</tr>
								<tr>
									<th scope="row">Post replies</th>
									<td>
										<input type="radio" name="group[g_post_replies]" value="1"<%= 'checked="checked"' if @group.g_post_replies == true %> tabindex="5" />&nbsp;<strong>Yes</strong>&nbsp;&nbsp;&nbsp;<input type="radio" name="group[g_post_replies]" value="0"<%= 'checked="checked"' if @group.g_post_replies == false %> tabindex="6" />&nbsp;<strong>No</strong>
										<span>Allow users in this group to post replies in topics.</span>
									</td>
								</tr>
								<tr>
									<th scope="row">Post topics</th>
									<td>
										<input type="radio" name="group[g_post_topics]" value="1"<%= 'checked="checked"' if @group.g_post_topics == true %> tabindex="7" />&nbsp;<strong>Yes</strong>&nbsp;&nbsp;&nbsp;<input type="radio" name="group[g_post_topics]" value="0"<%= 'checked="checked"' if @group.g_post_topics == false %> tabindex="8" />&nbsp;<strong>No</strong>
										<span>Allow users in this group to post new topics.</span>
									</td>
								</tr>
<% unless is_guest -%>
								<tr>
									<th scope="row">Edit posts</th>
									<td>
										<input type="radio" name="group[g_edit_posts]" value="1"<%= 'checked="checked"' if @group.g_edit_posts == true %> tabindex="11" />&nbsp;<strong>Yes</strong>&nbsp;&nbsp;&nbsp;<input type="radio" name="group[g_edit_posts]" value="0"<%= 'checked="checked"' if @group.g_edit_posts == false %> tabindex="12" />&nbsp;<strong>No</strong>
										<span>Allow users in this group to edit their own posts.</span>
									</td>
								</tr>
								<tr>
									<th scope="row">Delete posts</th>
									<td>
										<input type="radio" name="group[g_delete_posts]" value="1"<%= 'checked="checked"' if @group.g_delete_posts == true %> tabindex="13" />&nbsp;<strong>Yes</strong>&nbsp;&nbsp;&nbsp;<input type="radio" name="group[g_delete_posts]" value="0"<%= 'checked="checked"' if @group.g_delete_posts == false %> tabindex="14" />&nbsp;<strong>No</strong>
										<span>Allow users in this group to delete their own posts.</span>
									</td>
								</tr>
								<tr>
									<th scope="row">Delete topics</th>
									<td>
										<input type="radio" name="group[g_delete_topics]" value="1"<%= 'checked="checked"' if @group.g_delete_topics == true %> tabindex="15" />&nbsp;<strong>Yes</strong>&nbsp;&nbsp;&nbsp;<input type="radio" name="group[g_delete_topics]" value="0"<%= 'checked="checked"' if @group.g_delete_topics == false %> tabindex="16" />&nbsp;<strong>No</strong>
										<span>Allow users in this group to delete their own topics (including any replies).</span>
									</td>
								</tr>
								<tr>
									<th scope="row">Set user title</th>
									<td>
										<input type="radio" name="group[g_set_title]" value="1"<%= 'checked="checked"' if @group.g_set_title == true %> tabindex="17" />&nbsp;<strong>Yes</strong>&nbsp;&nbsp;&nbsp;<input type="radio" name="group[g_set_title]" value="0"<%= 'checked="checked"' if @group.g_set_title == false %> tabindex="18" />&nbsp;<strong>No</strong>
										<span>Allow users in this group to set their own user title.</span>
									</td>
								</tr>
<% end -%>
									<th scope="row">Use search</th>
									<td>
										<input type="radio" name="group[g_search]" value="1"<%= 'checked="checked"' if @group.g_search == true %> tabindex="19" />&nbsp;<strong>Yes</strong>&nbsp;&nbsp;&nbsp;<input type="radio" name="group[g_search]" value="0"<%= 'checked="checked"' if @group.g_search == false %> tabindex="20" />&nbsp;<strong>No</strong>
										<span>Allow users in this group to use the search feature.</span>
									</td>
								</tr>
								<tr>
									<th scope="row">Search user list</th>
									<td>
										<input type="radio" name="group[g_search_users]" value="1"<%= 'checked="checked"' if @group.g_search_users == true %> tabindex="21" />&nbsp;<strong>Yes</strong>&nbsp;&nbsp;&nbsp;<input type="radio" name="group[g_search_users]" value="0"<%= 'checked="checked"' if @group.g_search_users == false %> tabindex="22" />&nbsp;<strong>No</strong>
										<span>Allow users in this group to freetext search for users in the user list.</span>
									</td>
								</tr>
<% unless is_guest -%>
								<tr>
									<th scope="row">Edit subjects interval</th>
									<td>
										<input type="text" name="group[g_edit_subjects_interval]" size="5" maxlength="5" value="<%= @group.g_edit_subjects_interval %>" tabindex="23" />
										<span>Number of seconds after post time that users in this group may edit the subject of topics they've posted. Set to 0 to allow edits indefinitely.</span>
									</td>
								</tr>
								<tr>
									<th scope="row">Post flood interval</th>
									<td>
										<input type="text" name="group[g_post_flood]" size="5" maxlength="4" value="<%= @group.g_post_flood %>" tabindex="24" />
										<span>Number of seconds that users in this group have to wait between posts. Set to 0 to disable.</span>
									</td>
								</tr>
								<tr>
									<th scope="row">Search flood interval</th>
									<td>
										<input type="text" name="group[g_search_flood]" size="5" maxlength="4" value="<%= @group.g_search_flood %>" tabindex="25" />
										<span>Number of seconds that users in this group have to wait between searches. Set to 0 to disable.</span>
									</td>
								</tr>
<% end -%>
<% end -%>
							</table>
<% if is_mod -%>
							<p class="warntext">Please note that in order for a user in this group to have moderator abilities, he/she must be assigned to moderate one or more forums. This is done via the user administration page of the user's profile.</p>
<% end -%>
						</div>
					</fieldset>
				</div>
				<p class="submitend"><input type="submit" name="add_edit_group" value=" Save " tabindex="26" /></p>
			</form>
		</div>
	</div>
	<div class="clearer"></div>
</div>
